org.apache.hc.core5.http.impl

## Class HttpProcessors

- java.lang.Object
- - org.apache.hc.core5.http.impl.HttpProcessors

-     public final class HttpProcessors
      extends Object

  Factory class for standard `HttpProcessor` instances.
  Since:
    5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpProcessors()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HttpProcessor` | `client()` Creates `HttpProcessor` initialized with default protocol interceptors for client side HTTP/1.1 processing.
    `static HttpProcessor` | `client(String agentInfo)` Creates `HttpProcessor` initialized with default protocol interceptors for client side HTTP/1.1 processing.
    `static HttpProcessorBuilder` | `customClient(String agentInfo)` Creates `HttpProcessorBuilder` initialized with default protocol interceptors for client side HTTP/1.1 processing.
    `static HttpProcessorBuilder` | `customServer(String serverInfo)` Creates `HttpProcessorBuilder` initialized with default protocol interceptors for server side HTTP/1.1 processing.
    `static HttpProcessor` | `server()` Creates `HttpProcessor` initialized with default protocol interceptors for server side HTTP/1.1 processing.
    `static HttpProcessor` | `server(String serverInfo)` Creates `HttpProcessor` initialized with default protocol interceptors for server side HTTP/1.1 processing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpProcessors

          public HttpProcessors()

  - ### Method Detail

    - #### customServer

          public static HttpProcessorBuilder customServer(String serverInfo)

      Creates `HttpProcessorBuilder` initialized with default protocol interceptors for server side HTTP/1.1 processing.
      Parameters:
        `serverInfo` - the server info text or `null` for default.
      Returns:
        the processor builder.

    - #### server

          public static HttpProcessor server(String serverInfo)

      Creates `HttpProcessor` initialized with default protocol interceptors for server side HTTP/1.1 processing.
      Parameters:
        `serverInfo` - the server info text or `null` for default.
      Returns:
        the processor.

    - #### server

          public static HttpProcessor server()

      Creates `HttpProcessor` initialized with default protocol interceptors for server side HTTP/1.1 processing.
      Returns:
        the processor.

    - #### customClient

          public static HttpProcessorBuilder customClient(String agentInfo)

      Creates `HttpProcessorBuilder` initialized with default protocol interceptors for client side HTTP/1.1 processing.
      Parameters:
        `agentInfo` - the agent info text or `null` for default.
      Returns:
        the processor builder.

    - #### client

          public static HttpProcessor client(String agentInfo)

      Creates `HttpProcessor` initialized with default protocol interceptors for client side HTTP/1.1 processing.
      Parameters:
        `agentInfo` - the agent info text or `null` for default.
      Returns:
        the processor.

    - #### client

          public static HttpProcessor client()

      Creates `HttpProcessor` initialized with default protocol interceptors for client side HTTP/1.1 processing.
      Returns:
        the processor.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.